/********************************** (C) COPYRIGHT ********************************
* File Name          : DataFlash.H
* Author             : WCH
* Version            : V1.7
* Date               : 2023/05/31
* Description        : CH554 DataFlash
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* SPDX-License-Identifier: Apache-2.0
*********************************************************************************
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* Attention: This software (modified or not) and binary are used for 
* microcontroller manufactured by Nanjing Qinheng Microelectronics.
********************************************************************************/

#ifndef __DATAFLASH_H__
#define __DATAFLASH_H__

#include <stdint.h>

/* Check of Flash Operation */ 
#define DEF_FLASH_OP_CHECK1     0xAA
#define DEF_FLASH_OP_CHECK2     0x55   

/* Flash Operation Flags */    
extern uint8_t Flash_Op_Check_Byte1;
extern uint8_t Flash_Op_Check_Byte2;

#ifdef __cplusplus
extern "C" {
#endif

uint8_t Flash_Op_Unlock(uint8_t flash_type);                              
void Flash_Op_Lock(uint8_t flash_type);                             
uint8_t WriteDataFlash(uint8_t Addr,uint8_t* buf,uint8_t len);
uint8_t ReadDataFlash(uint8_t Addr,uint8_t len,uint8_t* buf);

#ifdef __cplusplus
} // extern "C"
#endif

#endif
